Subject: bug#28468: closed (Re: bug#28468: Bug in wc -l found)

From: [email-masked] (GNU bug Tracking System)
Date: Fri, 15 Sep 2017 15:56:02 +0000

Your bug report

#28468: Bug in wc -l found

which was filed against the coreutils package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
28468: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=28468
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#28468: Bug in wc -l found
From: Assaf Gordon <[email-masked]>
To: "Weidner, Robert (I/EE-31, extern)" <[email-masked]>, [email-masked]
Date: Fri, 15 Sep 2017 09:55:16 -0600
List-Id: <debbugs-submit.debbugs.gnu.org>

tag 28468 notabug
stop

Hello Rob,

On 2017-09-15 03:03 AM, Weidner, Robert (I/EE-31, extern) wrote:
> seems I found a bug in wc, have a look:

[[
the attach screen shot shows:
    $ wc -l monitore-serNr_all-run2.txt
    16
while the attached file appears to have 17 lines.
]]

This is not a bug, but the expected behavior.
The file you attached does not have a '\n' character
at the end of the last line.

Technically, 'wc' counts the number of '\n' characters,
not the number of appeared lines.

This is explained here:
   http://www.pixelbeat.org/docs/coreutils-gotchas.html#wc

As such, I'm marking this as not-a-bug, but discussion can
continue by replying to this thread.

regards,
 - assaf

Subject: Bug in wc -l found
From: "Weidner, Robert (I/EE-31, extern)" <[email-masked]>
To: "[email-masked]" <[email-masked]>
Date: Fri, 15 Sep 2017 09:03:24 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

Dear GNU Team,

seems I found a bug in wc, have a look:

Despite of it, I really want to say a BIG Thank you for great tool-set, especially tree, which I use for 20 years now!

THX
Rob

Mit freundlichen Gruessen

Robert Weidner
FAS Architektur / zFAS Plattform Test

BFFT Gesellschaft für Fahrzeugtechnik mbH

Im Auftrag der AUDI AG
I/EE-31, extern
85045 Ingolstadt
M: +49 (0) 1520-3427 961
mailto:[email-masked]
www.audi.com<http://www.audi.com/>

Dr.-Ludwig-Kraus-Straße 2,  85080 Gaimersheim, Headquarter 3.OG

BFFT Gesellschaft für Fahrzeugtechnik mbH | Dr.-Ludwig-Kraus-Straße 2 | 85080 Gaimersheim
GmbH mit Hauptsitz in Gaimersheim | AG: Ingolstadt - HRB 2775
Geschäftsführung: Markus Fichtner, Michael Mittag | UST-Id Nr. DE 812 875 182